
cd "C:\Users\lsh304314\OneDrive - London School of Hygiene and Tropical Medicine\Documents\Projects\Parallel CRT\Presentations\2024 Stata symposium"


* Risks
use mkvtrial.dta, clear

collapse (mean) p=know (sum) count = know (count) total = know, by(community arm) 

sort arm community

list count total p, sepby(arm)

summ total

save clmkvtrial, replace

* Risk difference

use mkvtrial.dta, clear

clan know , arm(arm) cluster(community) effect(rd)

* Odds ratio
xtgeebcv know i.arm, cluster(community) stderr(fg)

di exp(_b[1.arm])
di exp(_b[1.arm] - invttail(18, 0.025) * _se[1.arm])
di exp(_b[1.arm] + invttail(18, 0.025) * _se[1.arm])

di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))


xtlogit know i.arm, i(community) re

di exp(_b[1.arm])
di exp(_b[1.arm] - invttail(18, 0.025) * _se[1.arm])
di exp(_b[1.arm] + invttail(18, 0.025) * _se[1.arm])

di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))


use clmkvtrial, clear

gen lodds = log(p / (1-p))

regress lodds i.arm

di exp(_b[1.arm])
di exp(_b[1.arm] - invttail(18, 0.025) * _se[1.arm])
di exp(_b[1.arm] + invttail(18, 0.025) * _se[1.arm])

di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))

*Risk difference

meglm know i.arm || community:, family(binomial) link(identity)

xtgeebcv know i.arm, cluster(community) family(binomial) link(identity)
di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))


* Risk ratio

meglm know i.arm || community:, family(binomial) link(log)

xtgeebcv know i.arm, cluster(community) family(binomial) link(log)
di exp(_b[1.arm])
di exp(_b[1.arm] - invttail(18, 0.025) * _se[1.arm])
di exp(_b[1.arm] + invttail(18, 0.025) * _se[1.arm])

di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))


clan know, cluster(community) arm(arm) effect(rr)


* Adjusting for covariates
use mkvtrial.dta, clear

clan know i.ethnicgp i.agegp,  cluster(community) arm(arm) effect(rr)

xtgeebcv know i.arm i.ethnicgp i.agegp, cluster(community) family(binomial) link(log) stderr(fg)
di exp(_b[1.arm])
di exp(_b[1.arm] - invttail(18, 0.025) * _se[1.arm])
di exp(_b[1.arm] + invttail(18, 0.025) * _se[1.arm])

di 2 * ttail(18, abs(_b[1.arm] / _se[1.arm]))


* Manual adjustment:

logit know i.ethnicgp i.agegp
predict expected

list community arm know expected in 1/10

collapse (sum) know expected (count) clustersize = know, by(community arm)

gen residual = (know/clustersize) / (expected/clustersize)

list arm know expected clustersize residual in 1/5


ttest residual, by(arm)


























